For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList CPOs
        • POSTCreate CPO (durable)
        • GETGet CPO provisioning status
        • GETGet CPO
        • DELDelete CPO
        • GETGet CPO report
OCPPLAB Gateway APIOCPIOcpi Cpos

List CPOs

||View as Markdown|
GET
https://host.com/ocpi/cpos
GET
/ocpi/cpos
1import requests
2
3url = "https://host.com/ocpi/cpos"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "data": [
3 {
4 "cpo_id": "101",
5 "party": {
6 "country_code": "FR",
7 "party_id": "ABC",
8 "role": "CPO"
9 },
10 "name_prefix": "demo",
11 "template": "small-urban-ac",
12 "template_version": 1,
13 "ocpi_peer_url": "https://api.ocpplab.test/ocpi/2.2.1/versions",
14 "topology": {
15 "locations": 2,
16 "chargers": 6,
17 "evses": 6,
18 "connectors": 6
19 },
20 "report_url": "/ocpi/cpos/101/report",
21 "destroy_url": "/ocpi/cpos/101",
22 "expires_at": "2026-04-21T21:00:00Z"
23 }
24 ],
25 "total": 1,
26 "page": 1,
27 "limit": 50
28}

Paginated list of live CPOs (ones with template metadata) for the org.

Was this page helpful?
Previous

Get bulk charger-create job status

Next

Create CPO (durable)

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional>=1Defaults to 1

One-based page number.

limitintegerOptional1-100Defaults to 50
Page size.

Response

CPO list retrieved successfully
datalist of objects
totalinteger
pageinteger
limitinteger

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error